bcdToInteger {oce} | R Documentation

## Decode BCD to integer

### Description

Decode binary-coded-decimal to integer

### Usage

    bcdToInteger(x, endian=c("little", "big"))

### Arguments

`x` | a raw value, or vector of raw values, coded in binary-coded decimal.
`endian` | character string indicating the endian-ness ("big" or "little"). The PC/intel convention is to use "little", and so most data files are in that format.

### Value

An integer, or list of integers.

### Author(s)

Dan Kelley

### Examples

    library(oce)
    twenty.five <- bcdToInteger(as.raw(0x25))
    thirty.seven <- as.integer(as.raw(0x25))

[Package oce version 0.9-18 Index]